Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Altera_Forum
Honored Contributor I
927 Views

java -jar sopc2dts.jar -t dts -i resolving version mismatches

Thanks in advance 

 

I'm getting another computer up and running (been stuck in the old 'vendor_hwselect' due to supporting older projects).  

 

I follow the wiki about DeviceTree. Now when I run the java -jar to get a *.dts I get: 

************************************************************************************************* 

[janet@localhost sopc2dts]$ java -jar sopc2dts.jar -t dts -i /home/janet/Desktop/cycloneIII_3c120_niosII_standard_sopc.sopcinfo -o /home/janet/Desktop/my.dts 

Exception in thread "main" java.lang.UnsupportedClassVersionError: Sopc2DTS : Unsupported major.minor version 51.0 

at java.lang.ClassLoader.defineClass1(Native Method) 

at java.lang.ClassLoader.defineClass(ClassLoader.java:634) 

at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) 

at java.net.URLClassLoader.defineClass(URLClassLoader.java:277) 

at java.net.URLClassLoader.access$000(URLClassLoader.java:73) 

at java.net.URLClassLoader$1.run(URLClassLoader.java:212) 

at java.security.AccessController.doPrivileged(Native Method) 

at java.net.URLClassLoader.findClass(URLClassLoader.java:205) 

at java.lang.ClassLoader.loadClass(ClassLoader.java:321) 

at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294) 

at java.lang.ClassLoader.loadClass(ClassLoader.java:266) 

Could not find the main class: Sopc2DTS. Program will exit. 

[janet@localhost sopc2dts]$  

******************************************************************************************* 

 

My java and javac versions are: 

************************************************************************************** 

[janet@localhost Desktop]$ java -version 

java version "1.6.0_24" 

OpenJDK Runtime Environment (IcedTea6 1.11.4) (rhel-1.49.1.11.4.el6_3-i386) 

OpenJDK Client VM (build 20.0-b12, mixed mode) 

[janet@localhost Desktop]$ javac -version 

javac 1.7.0_07 

[janet@localhost Desktop]$  

**************************************************************************************** 

I'm assuming that the error is because I have version mismatches?  

If so what do I need to do, step-by-step to get the sopc2dts working properly?
0 Kudos
1 Reply
Altera_Forum
Honored Contributor I
62 Views

firstly, i would try sun's java, or rather oracles. next, just try java -jar sopc2dts.jar --gui 

 

I would suggest posting further questions to the nios-linux mailing list. 

 

--dalon
Reply